commit:     64cfc999ca04867aa77a84b4696084f504a498f2
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  7 10:12:12 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Wed Sep  7 10:23:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64cfc999

dev-ml/uchar: initial import; ebuild by me

Package-Manager: portage-2.3.0

 dev-ml/uchar/Manifest           |  1 +
 dev-ml/uchar/metadata.xml       |  8 ++++++++
 dev-ml/uchar/uchar-0.0.1.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 3 files changed, 46 insertions(+)

diff --git a/dev-ml/uchar/Manifest b/dev-ml/uchar/Manifest
new file mode 100644
index 00000000..da50db1
--- /dev/null
+++ b/dev-ml/uchar/Manifest
@@ -0,0 +1 @@
+DIST uchar-0.0.1.tar.gz 23471 SHA256 
ac94116a35cbcf346c94b4326d03d382560fbae337b7a59794ad6e1a1a84c140 SHA512 
6bdc3646cb959af1a289e22f5202da2f3e3462b42a563ec4a999e96ba7b2d0c95e2d42ef06b35cd9c477eebfadef5bba4abdb60997faa7e6848aa6bcb5d729c2
 WHIRLPOOL 
7b043985fdc61aac63b1ba923006b40ef52552c0aad5f45d6be6f744b6d1cb1a7ce46d5dc647e59cd82fa5d243a8699bd44987871ef6c60874a31f231c36d2aa

diff --git a/dev-ml/uchar/metadata.xml b/dev-ml/uchar/metadata.xml
new file mode 100644
index 00000000..ffac4d7
--- /dev/null
+++ b/dev-ml/uchar/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<maintainer type="project">
+       <email>[email protected]</email>
+       <name>Gentoo ML Project</name>
+</maintainer>
+</pkgmetadata>

diff --git a/dev-ml/uchar/uchar-0.0.1.ebuild b/dev-ml/uchar/uchar-0.0.1.ebuild
new file mode 100644
index 00000000..2cf183d
--- /dev/null
+++ b/dev-ml/uchar/uchar-0.0.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Uchar compatibility library"
+HOMEPAGE="https://github.com/ocaml/uchar";
+SRC_URI="https://github.com/ocaml/uchar/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="+ocamlopt"
+
+RDEPEND="dev-lang/ocaml:="
+DEPEND="${RDEPEND}
+       dev-ml/opam"
+
+src_compile() {
+       ocaml pkg/build.ml \
+               "native=$(usex ocamlopt true false)" \
+               "native-dynlink=$(usex ocamlopt true false)" || die
+}
+
+src_test() {
+       ocamlbuild -X src -use-ocamlfind -pkg uchar test/testpkg.native || die
+}
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               ${PN}.install || die
+       dodoc README.md CHANGES.md
+}

Reply via email to